Package org.apache.sysds.runtime.compress.lib

## Class CLALibStack

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibStack

    public final class CLALibStack
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `combine​(Map<MatrixIndexes,​MatrixBlock> m, Map<Integer,​List<IDictionary>> d, int k)` Combine the map of index matrix blocks into a single MatrixBlock.
`static MatrixBlock` `combine​(Map<MatrixIndexes,​MatrixBlock> m, Map<Integer,​List<IDictionary>> d, int rlen, int clen, int blen, int k)` Alternative read, when dimensions are known.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### combine

    public static MatrixBlock combine​(Map<MatrixIndexes,​MatrixBlock> m,
                                      Map<Integer,​List<IDictionary>> d,
                                      int k)

Combine the map of index matrix blocks into a single MatrixBlock. The intension is that the combining is able to resolve differences in the different MatrixBlocks allocation.

Parameters:
  `m` - The map of Index to MatrixBLocks
  `d` - A map of the dictionaries contained in the compression scheme
  `k` - The parallelization degree allowed for this operation
Returns:
  The combined matrix.

#### combine

    public static MatrixBlock combine​(Map<MatrixIndexes,​MatrixBlock> m,
                                      Map<Integer,​List<IDictionary>> d,
                                      int rlen,
                                      int clen,
                                      int blen,
                                      int k)

Alternative read, when dimensions are known.

Parameters:
  `m` - The sub matrix blocks
  `d` - The sub dictionaries
  `rlen` - n rows
  `clen` - n cols
  `blen` - block size
  `k` - Parallelization degree
Returns:
  The combined matrixBlock